/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* file name: hypothetical.c */
#include<ch.h>
#include<math.h>

/* EXPORTCH must be used */
EXPORTCH double hypothetical_chdl(void *varg) {
    ChInterp_t interp;
    va_list ap;
    double x;
    double y;
    double retval;

    Ch_VaStart (interp, ap,varg);
    x = Ch_VaArg (interp, ap, double);
    y = Ch_VaArg (interp, ap, double);
    retval = hypot(x, y); /* hypot() is a standard function in libc.a */
    Ch_VaEnd(interp, ap);
    return retval;
}
